Subject: [v4tov6transition] draft-yang-v4v6tran-ipv6-transition-guide-00

From: Rémi Després <[email-masked]>
Date: Tue, 28 Sep 2010 10:59:37 +0200

Hi YangGL,

Thank you for the detailed and clear explanation about the view of China Telecom on v4tov6transition.

Here are various comments.

a) Sec. 2.2 (Transition of Metro IP network): Solution 2
"The existing access method does not need change, so China Telecom  does not need to provide home gateway to users" looks contradictory with "the newly added BRAS support IPv6 only". 

b) Sec 2.2 (Transition of Metro IP network): A 5th solution based on 6rd should be listed here.
It is mentioned in sec. 2.4.3 (solution 3 for Subscriber Access modes) as "deployed in the metro network").
It only takes 6rd Border Routers to be provisioned beside Core or Service routers. (Or just an upgrade of core routers if they can support 6rd, as already proposed at least by Cisco).
Pros include:
- All routed-mode CPEs provided by the operator deliver dual-stack service to customers.
- Customers can use their own 6rd compatible CPEs when they support RFC 5969. (It specifies the 6rd DHCPv4 option). 
- Hosts that eventually support RFC 5969, will get dual-stack service in single host sites.
- Deployment cost is extremely low (NEITHER metro-network routers NOR access networks need to be modified for this phase)
- The solution, already deployed, is simple and well understood.
Like the 6PE solution for core networks, of sec. 2.1.3 for core networks, it "is suitable for the first phase of IPv6 transition".

c) Sec 2.3 (Transition of Access network) Solution 2
Among the cons, the fact that home gateways that don't support DS-lite have to be modified or replaced seems to be missing.  

d) Sec 2.3 - Solution 3
- "There is no need to upgrade BRAS" and "BRAS needs to be upgraded to support 6RD" are contradictory. (The first sentence is the right one).
- "The network should be modified and upgraded when the network migrates to Native IPv6 in the future which leads to repeating investment of network", isn't quite right: the investment cost in the access network is not REPEATED since, in the access network, it is NULL. It is simply DEFERRED (which is more a pro than a con).  

Kind regards,
RD

---

From: "YangGL" <[email-masked]>
Date: Wed, 29 Sep 2010 13:02:35 +0800

Thank you very much, your comments will be added to the next version.^_^

Best regards,
Yang Guoliang

-----Original Message-----
From: Rémi Després [mailto:[email-masked]] 
Sent: Tuesday, September 28, 2010 5:00 PM
To: YangGL
Cc: [email-masked]
Subject: draft-yang-v4v6tran-ipv6-transition-guide-00 

Hi YangGL,

Thank you for the detailed and clear explanation about the view of China
Telecom on v4tov6transition.

a) Sec. 2.2 (Transition of Metro IP network): Solution 2
"The existing access method does not need change, so China Telecom  does not
need to provide home gateway to users" looks contradictory with "the newly
added BRAS support IPv6 only". 

b) Sec 2.2 (Transition of Metro IP network): A 5th solution based on 6rd
should be listed here.
It is mentioned in sec. 2.4.3 (solution 3 for Subscriber Access modes) as
"deployed in the metro network").
It only takes 6rd Border Routers to be provisioned beside Core or Service
routers. (Or just an upgrade of core routers if they can support 6rd, as
already proposed at least by Cisco).
Pros include:
- All routed-mode CPEs provided by the operator deliver dual-stack service
to customers.
- Customers can use their own 6rd compatible CPEs when they support RFC
5969. (It specifies the 6rd DHCPv4 option). 
- Hosts that eventually support RFC 5969, will get dual-stack service in
single host sites.
- Deployment cost is extremely low (NEITHER metro-network routers NOR access
networks need to be modified for this phase)
- The solution, already deployed, is simple and well understood.
Like the 6PE solution for core networks, of sec. 2.1.3 for core networks, it
"is suitable for the first phase of IPv6 transition".

c) Sec 2.3 (Transition of Access network) Solution 2
Among the cons, the fact that home gateways that don't support DS-lite have
to be modified or replaced seems to be missing.  

d) Sec 2.3 - Solution 3
- "There is no need to upgrade BRAS" and "BRAS needs to be upgraded to
support 6RD" are contradictory. (The first sentence is the right one).
- "The network should be modified and upgraded when the network migrates to
Native IPv6 in the future which leads to repeating investment of network",
isn't quite right: the investment cost in the access network is not REPEATED
since, in the access network, it is NULL. It is simply DEFERRED (which is
more a pro than a con).  

Kind regards,
RD